Bug 82483

Summary: [Qt][WK2] Title in MiniBrowser is not updated for a page with no title
Product: WebKit Reporter: Dinu Jacob <dinu.jacob>
Component: WebKit2Assignee: Nobody <webkit-unassigned>
Status: RESOLVED FIXED    
Severity: Normal CC: kenneth, menard, ossy, webkit.review.bot, zoltan
Priority: P2    
Version: 528+ (Nightly build)   
Hardware: Unspecified   
OS: Unspecified   
Bug Depends on:    
Bug Blocks: 70236    
Attachments:
Description Flags
Patch
none
API test fix patch none

Description Dinu Jacob 2012-03-28 10:52:41 PDT
MiniBrowser window displays the title of the previous page when displaying a page with no title
Comment 1 Dinu Jacob 2012-03-28 10:56:54 PDT
When the load has been committed, even though the title has been reset in WebFrameProxy::didCommitLoad, no titleChanged signal is emitted by QtWebPageLoadClient (though urlChanged is emitted).
Comment 2 Dinu Jacob 2012-03-28 11:21:18 PDT
Created attachment 134348 [details]
Patch
Comment 3 WebKit Review Bot 2012-04-10 08:26:27 PDT
Comment on attachment 134348 [details]
Patch

Clearing flags on attachment: 134348

Committed r113715: <http://trac.webkit.org/changeset/113715>
Comment 4 WebKit Review Bot 2012-04-10 08:26:37 PDT
All reviewed patches have been landed.  Closing bug.
Comment 5 Csaba Osztrogon√°c 2012-04-10 08:59:48 PDT
Reopen, because it broke API tests:
FAIL!  : qmltests::WebViewApplicationSchemes::test_multipleSchemes() Compared values are not the same
   Actual   (): Scheme2 Reply
   Expected (): Scheme1 Reply
   Loc: [/home/webkitbuildbot/slaves/release64bitWebKit2_EC2/buildslave/qt-linux-64-release-webkit2/build/Source/WebKit2/UIProcess/API/qt/tests/qmltests/WebView/tst_applicationScheme.qml(98)]

FAIL!  : qmltests::WebViewApplicationSchemes::test_multipleUrlsForScheme() Compared values are not the same
   Actual   (): Scheme3 Reply1
   Expected (): Scheme3 Reply2
   Loc: [/home/webkitbuildbot/slaves/release64bitWebKit2_EC2/buildslave/qt-linux-64-release-webkit2/build/Source/WebKit2/UIProcess/API/qt/tests/qmltests/WebView/tst_applicationScheme.qml(114)]

FAIL!  : qmltests::WebViewPreferences::test_fixedFontSizeChanged() Compared values are not the same
   Actual   (): Original Title
   Expected (): 13px
   Loc: [/home/webkitbuildbot/slaves/release64bitWebKit2_EC2/buildslave/qt-linux-64-release-webkit2/build/Source/WebKit2/UIProcess/API/qt/tests/qmltests/WebView/tst_preferences.qml(240)]

FAIL!  : qmltests::WebViewPreferences::test_fontSizeChanged() Compared values are not the same
   Actual   (): Original Title
   Expected (): 16px
   Loc: [/home/webkitbuildbot/slaves/release64bitWebKit2_EC2/buildslave/qt-linux-64-release-webkit2/build/Source/WebKit2/UIProcess/API/qt/tests/qmltests/WebView/tst_preferences.qml(222)]

FAIL!  : qmltests::WebViewPreferences::test_minimumFontSizeChanged() 'verify()' returned FALSE. ()
   Loc: [/home/webkitbuildbot/slaves/release64bitWebKit2_EC2/buildslave/qt-linux-64-release-webkit2/build/Source/WebKit2/UIProcess/API/qt/tests/qmltests/WebView/tst_preferences.qml(268)]

FAIL!  : qmltests::WebViewTitleChangedSignal::test_titleFirstLoad() Compared values are not the same
   Actual   (): Test page 3
   Expected (): New Title
   Loc: [/home/webkitbuildbot/slaves/release64bitWebKit2_EC2/buildslave/qt-linux-64-release-webkit2/build/Source/WebKit2/UIProcess/API/qt/tests/qmltests/WebView/tst_titleChanged.qml(28)]


Could you check and fix, please?
Comment 6 Dinu Jacob 2012-04-10 09:01:36 PDT
(In reply to comment #5)
> Reopen, because it broke API tests:
> FAIL!  : qmltests::WebViewApplicationSchemes::test_multipleSchemes() Compared values are not the same
>    Actual   (): Scheme2 Reply
>    Expected (): Scheme1 Reply
>    Loc: [/home/webkitbuildbot/slaves/release64bitWebKit2_EC2/buildslave/qt-linux-64-release-webkit2/build/Source/WebKit2/UIProcess/API/qt/tests/qmltests/WebView/tst_applicationScheme.qml(98)]
> 
> FAIL!  : qmltests::WebViewApplicationSchemes::test_multipleUrlsForScheme() Compared values are not the same
>    Actual   (): Scheme3 Reply1
>    Expected (): Scheme3 Reply2
>    Loc: [/home/webkitbuildbot/slaves/release64bitWebKit2_EC2/buildslave/qt-linux-64-release-webkit2/build/Source/WebKit2/UIProcess/API/qt/tests/qmltests/WebView/tst_applicationScheme.qml(114)]
> 
> FAIL!  : qmltests::WebViewPreferences::test_fixedFontSizeChanged() Compared values are not the same
>    Actual   (): Original Title
>    Expected (): 13px
>    Loc: [/home/webkitbuildbot/slaves/release64bitWebKit2_EC2/buildslave/qt-linux-64-release-webkit2/build/Source/WebKit2/UIProcess/API/qt/tests/qmltests/WebView/tst_preferences.qml(240)]
> 
> FAIL!  : qmltests::WebViewPreferences::test_fontSizeChanged() Compared values are not the same
>    Actual   (): Original Title
>    Expected (): 16px
>    Loc: [/home/webkitbuildbot/slaves/release64bitWebKit2_EC2/buildslave/qt-linux-64-release-webkit2/build/Source/WebKit2/UIProcess/API/qt/tests/qmltests/WebView/tst_preferences.qml(222)]
> 
> FAIL!  : qmltests::WebViewPreferences::test_minimumFontSizeChanged() 'verify()' returned FALSE. ()
>    Loc: [/home/webkitbuildbot/slaves/release64bitWebKit2_EC2/buildslave/qt-linux-64-release-webkit2/build/Source/WebKit2/UIProcess/API/qt/tests/qmltests/WebView/tst_preferences.qml(268)]
> 
> FAIL!  : qmltests::WebViewTitleChangedSignal::test_titleFirstLoad() Compared values are not the same
>    Actual   (): Test page 3
>    Expected (): New Title
>    Loc: [/home/webkitbuildbot/slaves/release64bitWebKit2_EC2/buildslave/qt-linux-64-release-webkit2/build/Source/WebKit2/UIProcess/API/qt/tests/qmltests/WebView/tst_titleChanged.qml(28)]
> 
> 
> Could you check and fix, please?
Sure, wull do that.
Comment 7 Dinu Jacob 2012-04-10 13:01:58 PDT
Created attachment 136521 [details]
API test fix patch
Comment 8 Csaba Osztrogon√°c 2012-04-13 06:06:43 PDT
ping review to ublock failing API tests :)
Comment 9 WebKit Review Bot 2012-04-13 07:23:24 PDT
Comment on attachment 136521 [details]
API test fix patch

Clearing flags on attachment: 136521

Committed r114129: <http://trac.webkit.org/changeset/114129>
Comment 10 WebKit Review Bot 2012-04-13 07:23:29 PDT
All reviewed patches have been landed.  Closing bug.